/*********************************************************************/
/*  Datenbank-Praktikum                                              */  
/*                                                                   */
/*  Datenbank Beispiel 1                                             */
/*                                                                   */
/*  Version 5.1                                                      */
/*                                                                   */
/*  Lieferant mit kleinstem Preis fuer jeden Artikel bestimmen       */
/*  und als Hauptlieferant eintragen                                 */
/*********************************************************************/
declare
  cursor lesen is select anr, Min(Preis) as mpreis from liefert group by anr;
  
  Z_LNR liefert.LNR%TYPE;
  
Begin

   for daten in lesen loop
      select MIN(LNR) into Z_LNR from liefert
      where Preis = daten.mpreis and ANR = daten.ANR;
      
      update Artikel set lnr = Z_LNR where ANR = daten.ANR;
      commit;
   end loop;
end;
/
select * from Artikel
/
exit